import React from "react";
import MatrixClientContext from "../../../../../contexts/MatrixClientContext";
interface IProps {
}
interface IState {
    appVersion: string | null;
    canUpdate: boolean;
}
export default class HelpUserSettingsTab extends React.Component<IProps, IState> {
    static contextType: React.Context<import("matrix-js-sdk/src/client").MatrixClient>;
    context: React.ContextType<typeof MatrixClientContext>;
    constructor(props: IProps, context: React.ContextType<typeof MatrixClientContext>);
    componentDidMount(): void;
    private getVersionInfo;
    private onClearCacheAndReload;
    private onBugReport;
    private renderLegal;
    private renderCredits;
    private getVersionTextToCopy;
    render(): React.ReactNode;
}
export {};
